#pragma once

#include "CoreMinimal.h"
#include "PlayerAnimInstance.h"
#include "BaseKillerAnimInstance.generated.h"

class AKiller;

UCLASS(Blueprintable, NonTransient)
class DBDANIMATION_API UBaseKillerAnimInstance : public UPlayerAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	AKiller* _owningKiller;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _firstPersonView;

protected:
	UFUNCTION(BlueprintPure)
	AKiller* GetOwningKiller() const;

private:
	UFUNCTION(BlueprintCallable, Exec)
	void DBD_ForceAnimPOV(const int32 animPOV);

public:
	UBaseKillerAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UBaseKillerAnimInstance) { return 0; }
